Platforms
All operations require authentication.
List platformsProduction
Returns the platforms of the account with their current state. Filter them by projectId.
Query parameters
Filter resources on IAM tags
Identifier of the project
Headers
Pagination cursor
Pagination size
Response
Checksum hash in MD5 representation
Object representing platform
An array containing tasks responses pending on resource extends AsyncResourceBase object
IAM resource metadata
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing platform
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "clusterHostname": "string", "description": "string", "name": "string", "numberOfOrganizations": 0, "quota": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string" } }]
Get a platformProduction
Returns the name and description of the platform, its number of organizations, its storage quota per account and its account statistics per offer.
Path parameters
Platform ID
Response
Checksum hash in MD5 representation
Object representing platform
An array containing tasks responses pending on resource extends AsyncResourceBase object
IAM resource metadata
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing platform
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "clusterHostname": "string", "description": "string", "name": "string", "numberOfOrganizations": 0, "quota": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string" }}
Update a platformProduction
Updates the name or description of the platform. When set, checksum must match the current checksum of the platform, otherwise the update is rejected.
Path parameters
Platform ID
Request body (required)
Known checksum of the resource, allowing to prevent unwanted side effects
Target platform specification
Response
Checksum hash in MD5 representation
Object representing platform
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing platform
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "clusterHostname": "string", "description": "string", "name": "string", "numberOfOrganizations": 0, "quota": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string" }}
Refresh quota usageProduction
Recomputes the quota usage (quota.used and quotaRefreshedAt) of every email account of the platform. The refresh runs asynchronously.
Path parameters
Platform ID
Response
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ refreshQuotaUsage \
-H "authorization: Bearer $OVH_TOKEN"